Create New Kafka User
curl --request POST \
--url https://api.streamkap.com/kafka-access/kafka-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"password": "<string>",
"whitelist_ips": "<string>",
"kafka_acls": [],
"is_create_schema_registry": false
}
'import requests
url = "https://api.streamkap.com/kafka-access/kafka-users"
payload = {
"username": "<string>",
"password": "<string>",
"whitelist_ips": "<string>",
"kafka_acls": [],
"is_create_schema_registry": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
username: '<string>',
password: '<string>',
whitelist_ips: '<string>',
kafka_acls: [],
is_create_schema_registry: false
})
};
fetch('https://api.streamkap.com/kafka-access/kafka-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Kafka Access
Create New Kafka User
POST
/
kafka-access
/
kafka-users
Create New Kafka User
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Create Kafka User Body
Response
Successful Response
Was this page helpful?
⌘I